  org 2100h  ; Initialize EEPROM
#ifdef motorola
   de 0x01,0x03,0x03,0x03,0x03,0x02,0x02,0x02,          0x02,0x00,0x00,0x00,0x00,0xff,0xff,0xff
   de 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,          0x00,0xc0,0xc0,0xc0,0xc0,0xff,0xff,0xff
   de 0x03,0xc3,0xf3,0xcf,0xff,0xc3,0xf3,0xcf,          0xff,0xc3,0xf3,0xcf,0xff,0xff,0xff,0xff
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,          0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
                                                        
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,          0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,          0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,          0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de d'2',d'186',0xff,0xff,0xff,0xff,0xff,0xff,        0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaa
#endif

#ifdef dcc
   de 0x01,0x78,0x7a,0x7c,0x7e,0x7b,0x79,0x7f,           0x7d,0x7a,0x78,0x7e,0x7c,0xff,0xff,0xff
   de 0x00,0xf2,0xf6,0xfa,0xfe,0xf2,0xf6,0xfa,           0xfe,0xf2,0xf6,0xfa,0xfe,0xff,0xff,0xff
   de 0x03,0x05,0x05,0x05,0x05,0x09,0x09,0x09,           0x09,0x0d,0x0d,0x0d,0x0d,0xff,0xff,0xff
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,           0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
                                                         
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,           0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,           0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,           0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de d'2',d'186',0xff,0xff,0xff,0xff,0xff,0xff,         0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xdd
#endif

#ifdef nodecoder
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,           0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0x01,0xff,0xff,0xff,0xff,0xff,0xff,0xff,           0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0x03,0xff,0xff,0xff,0xff,0xff,0xff,0xff,           0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x05
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,           0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
                                                         
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,           0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,           0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,           0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de d'2',d'186',0xff,0xff,0xff,0xff,0xff,0xff,         0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00
#endif

; ********************************************************
; EEPROM Locations
;   00  01  02  03  04  05  06  07    08  09  0a  0b  0c  0d  0e  0f
;00 FF  R1  R2  R3  R4  R5  R6  R7    R8  R9  Ra  FF  FF  FF  FF  FF
;10 RS  R1  R2  R3  R4  R5  R6  R7    R8  R9  Ra  FF  FF  FF  FF  FF
;20 MS  R1  R2  R3  R4  R5  R6  R7    R8  R9  Ra  FF  FF  FF  FF  MN
;30 FF  FF  FF  FF  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  FF
;40 FF  FF  FF  FF  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  FF
;50 FF  FF  FF  FF  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  FF
;60 FF  FF  FF  FF  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  FF
;70 FF  FF  FF  FF  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  DF
;
; FF:     not used
; R1..Ra: Adresses Relay R1..R10
; RS:     $ 10: R_STATUS   : Status
; MS:     $ 20: R_FLAGS    : Flags
; DF:     $ 7F: Digital-Format (info only): aa=MOT / dd=DCC / 00=NONE

