  org 2100h  ; Initialize EEPROM
#ifdef motorola
   de 0x01,0x03,0x03,0x03,0x03,0x03,0x03,0x03, 0x03,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, 0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0x01,0xc3,0x03,0xf3,0x33,0xcf,0x0f,0xff, 0x3f,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0x40,0xff,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff

   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0x7d,0xd4,0x7d,0xd4,0x7d,0xd4,0x7d,0xd4, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaa
#endif

#ifdef dcc
   de 0x01,0x78,0x79,0x7a,0x7b,0x7c,0x7d,0x7e, 0x7f,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0x00,0xf2,0xf0,0xf6,0xf4,0xfa,0xf8,0xfe, 0xfc,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0x01,0x05,0x05,0x05,0x05,0x05,0x05,0x05, 0x05,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0x40,0xff,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff

   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0x7d,0xd4,0x7d,0xd4,0x7d,0xd4,0x7d,0xd4, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
   de 0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaa
#endif

#ifdef nodecoder
error
#endif

; ********************************************************
; EEPROM Locations
;   00  01  02  03  04  05  06  07    08  09  0a  0b  0c  0d  0e  0f
;00 RM  R1  R2  R3  R4  R5  R6  R7    R8  R9  Ra  FF  FF  FF  FF  FF
;10 RS  R1  R2  R3  R4  R5  R6  R7    R8  R9  Ra  FF  FF  FF  FF  FF
;20 MS  R1  R2  R3  R4  R5  R6  R7    R8  R9  Ra  FF  FF  FF  FF  MN
;30 RS2 FF  FF  FF  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  FF
;40 FF  FF  FF  FF  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  FF
;50 FF  FF  FF  FF  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  FF
;60 o1  f1  o2  f2  o3  f3  o4  f4    FF  FF  FF  FF  FF  FF  FF  FF
;70 L1  L2  L3  L4  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  DF
;
; FF:     not used
; R1..Ra: Adresses R1..R10
; RS:     $10: R_STATUS (Status)
; RM:     $00: R_MODE (#0 gesetzt --> Funktion SW1 = Lernen)
; MS:     $20: R_MAKESLOW [nur HAUS]
; RS2:    $30: R_STATUS_2 (Status #2, for led_schalten only)
; MN:     $2F: R_MINOUT (lad_haus only)
; DF:     $7F: Digital-Format (info only): aa=MOT / dd=DCC / 00=NONE
; o1..o4  $60/62/64/66: Offset value for servo 1..4
; f1..f4  $61/63/65/67: faktor value for servo 1..4
; L1..L4  $70/71/72/73: last activator for servo 1..4