#ifdef use16f183x4
  org 0xF000  ; Initialize EEPROM 16f183x4
#endif
#ifdef use16f1824
  org 0xF000  ; Initialize EEPROM 16f1824
#endif
#ifdef use16f6xx
  org 0x2100  ; Initialize EEPROM 16f6xx
#endif

#ifdef motorola
   ;   x0         x1   x2   x3   x4   x5   x6   x7    x8   x9   xA   xB   xC   xD   xE   xF
   de EE_MODE    ,0x03,0x03,0x03,0x03,0x02,0x02,0x02, 0x02,0x00,0x00,0x00,0x00,0x03,0x03,0x03 ; 0x
   de EE_STAT1   ,0x00,0x00,0x00,0x00,0x00,0x00,0x00, 0x00,0xc0,0xc0,0xc0,0xc0,0xc0,0xc0,0xc0 ; 1x
   de EE_SLOW    ,0xc3,0xf3,0xcf,0xff,0xc3,0xf3,0xcf, 0xff,0xc3,0xf3,0xcf,0xff,0xc3,0xf3,0xcf ; 2x
   de EE_STAT2   ,0xff,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff ; 3x
                                                                                                  
   de 0xff       ,0x03,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff ; 4x
   de 0xff       ,0xc0,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff ; 5x
   de 0xff       ,0xff,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff ; 6x
   de 0xff       ,0xff,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaa ; 7x
#endif                                                                                        
                                                                                              
#ifdef dcc                                                                                    
   ;   x0         x1   x2   x3   x4   x5   x6   x7    x8   x9   xA   xB   xC   xD   xE   xF   
   de EE_MODE    ,0x78,0x7a,0x7c,0x7e,0x7b,0x79,0x7f, 0x7d,0x7a,0x78,0x7e,0x7c,0x7d,0x7f,0x79 ; 0x
   de EE_STAT1   ,0xf2,0xf6,0xfa,0xfe,0xf2,0xf6,0xfa, 0xfe,0xf2,0xf6,0xfa,0xfe,0xf2,0xf6,0xfa ; 1x
   de EE_SLOW    ,0x05,0x05,0x05,0x05,0x09,0x09,0x09, 0x09,0x0d,0x0d,0x0d,0x0d,0x11,0x11,0x11 ; 2x
   de EE_STAT2   ,0xff,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff ; 3x
                                                                                                  
   de 0xff       ,0x7b,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff ; 4x
   de 0xff       ,0xfe,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff ; 5x
   de 0xff       ,0x11,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff ; 6x
   de 0xff       ,0xff,0xff,0xff,0xff,0xff,0xff,0xff, 0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xdd ; 7x
#endif

#ifdef nodecoder
   error "not defined"
#endif

; ********************************************************
; EEPROM Locations
;   00  01  02  03  04  05  06  07    08  09  0a  0b  0c  0d  0e  0f
;00 RM  R1  R2  R3  R4  R5  R6  R7    R8  R9  Ra  Rb  Rc  Rd  Re  FF
;10 RS  R1  R2  R3  R4  R5  R6  R7    R8  R9  Ra  Rb  Rc  Rd  Re  FF
;20 MS  R1  R2  R3  R4  R5  R6  R7    R8  R9  Ra  Rb  Rc  Rd  Re  MN
;30 RS2 FF  FF  FF  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  FF
;40 FF  FF  FF  FF  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  FF
;50 FF  FF  FF  FF  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  FF
;60 FF  FF  FF  FF  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  FF
;70 FF  FF  FF  FF  FF  FF  FF  FF    FF  FF  FF  FF  FF  FF  FF  DF
;
; RM:     $ 00: R_MODE (Mode)
; RS:     $ 10: R_STATUS (Status)
; MS:     $ 20: R_MAKESLOW
; RS2:    $ 30: R_STATUS_2
; DF:     $ 7F: Digital-Format (info only): aa=MOT / dd=DCC / 00=NONE

