;*********************************
;*********************************
;*********************************
;*********************************
;** Routine: toggle_xxx         **
;*********************************
;*********************************
;*********************************
;*********************************
#ifdef use16f684

#ifdef test
toggle_a0  ; test routine
     movf PORTA,W ;test
     xorlw b'00000001' ;test        ; toggle PORTA,0
     movwf PORTA ;test
     return

toggle_a1  ; test routine
     movf PORTA,W ;test
     xorlw b'00000010' ;test        ; toggle PORTA,1
     movwf PORTA ;test
     return

toggle_a4  ; test routine
     movf PORTA,W ;test
     xorlw b'00010000' ;test        ; toggle PORTA,4
     movwf PORTA ;test
     return

toggle_a5  ; test routine
     movf PORTA,W ;test
     xorlw b'00100000' ;test        ; toggle PORTA,5
     movwf PORTA ;test
     return

toggle_c0   ; test routine
     movf PORTC,W ;test
     xorlw b'00000001' ;test        ; toggle PORTC,0
     movwf PORTC ;test
     return

toggle_c1  ; test routine
     movf PORTC,W ;test
     xorlw b'00000010' ;test        ; toggle PORTC,1
     movwf PORTC ;test
     return

toggle_c2   ; test routine
     movf PORTC,W ;test
     xorlw b'00000100' ;test        ; toggle PORTC,2
     movwf PORTC ;test
     return

toggle_c3   ; test routine
     movf PORTC,W ;test
     xorlw b'00001000' ;test        ; toggle PORTC,3
     movwf PORTC ;test
     return

toggle_c4   ; test routine
     movf PORTC,W ;test
     xorlw b'00010000' ;test        ; toggle PORTC,4
     movwf PORTC ;test
     return

toggle_c5   ; test routine
     movf PORTC,W ;test
     xorlw b'00100000' ;test        ; toggle PORTC,5
     movwf PORTC ;test
     return
#endif ; test


#ifdef test_output
sub_test_output
        clrwdt                         ; clear Watchdog-Timer
   bcf INTCON,GIE                 ; disable IRs GIE: Global Interrupt Enable bit -> TMR1IF / INTF disable

   bsf PORTA,4
   bsf PORTA,5
   bsf PORTA,0
   bsf PORTA,1
   bsf PORTC,1
   bsf PORTC,2
   bsf PORTC,0
   bsf PORTC,5
   bsf PORTC,4
   bsf PORTC,3
   clrf PORTC
   clrf PORTA
   return
#endif ; test_output

#ifdef simulation
simulate_G1 ; Adresse GRUEN_1 auslsen
   movlw b'00000000'
   movwf R_DEKADR_ADRH
   movlw b'00000011'
   movwf R_DEKADR_ADRL
   movlw b'00000000'
   movwf R_DEKADR_BEFH
   movlw b'10010001'
   movwf R_DEKADR_BEFL
   movlw b'10010010'
   movwf R_DEKADR_PRUF
   bsf F_COMMAND
   return

simulate_R1 ; Adresse ROT_1 auslsen
   movlw b'00000000'
   movwf R_DEKADR_ADRH
   movlw b'00000011'
   movwf R_DEKADR_ADRL
   movlw b'00000000'
   movwf R_DEKADR_BEFH
   movlw b'10010000'
   movwf R_DEKADR_BEFL
   movlw b'10010011'
   movwf R_DEKADR_PRUF
   return

#endif ; simulation

#endif ; test

